Page MenuHomePhabricator

The N'Ko language doesn't appear in the iOS Wikipedia app
Closed, ResolvedPublic

Description

The N'Ko Wikipedia (nqo) was created in September. It still doesn't appear in the iOS Wikipedia app.

You cannot find it on the main page, or in the interanguage links list on the Martin Luther King Jr. article, even though they are linked through Wikidata.

It may affect more wikis that were created recently, such as Mon (mnw) and Sakizaya (szy), but I don't have an iOS device myself, and till now I've only received complaints from N'Ko.

In any case, the documentation of the necessary steps to add a language to the iOS app should be documented at https://wikitech.wikimedia.org/wiki/Add_a_wiki . It looks like the documentation at the moment is incomplete.

Event Timeline

Amire80 created this task.Dec 2 2019, 1:50 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptDec 2 2019, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Low priority.Dec 2 2019, 7:39 PM
JMinor added a subscriber: JMinor.

Duly about documentation...

Mhurd added a subscriber: Mhurd.EditedDec 10 2019, 7:44 PM

Can add a script to build this (if we don't already have one) periodically from API source of truth.

Can add a script to build this (if we don't already have one) periodically from API source of truth.

Yes, please.

The more automatic it is, the better (see T158730), but I understand that a lot of things are manual in the wiki creation process now and won't be very soon. If at least it's properly documented in https://wikitech.wikimedia.org/wiki/Add_a_wiki , it will already be better.

cmadeo added a subscriber: cmadeo.

Moving this to Eng sync, but feel free too triage elsewhere if needed

JoeWalsh claimed this task.Aug 14 2020, 4:45 PM
JoeWalsh added a comment.EditedAug 14 2020, 6:00 PM

A bit more than nqo was missing. Here's the full list:

ady
ary
atj
avk
awa
azb
ban
din
dty
gcr
gom
gor
hyw
inh
jam
kbp
lfn
lrc
mai
mnw
nqo
olo
sat
shn
szy

Is this a list of quietly hidden wikis?

These are Wikipedias that were created in recent years, and it would be nice to have them all in the app. You know, Knowledge Equity and all that :)

Agreed, a patch is up that adds all the missing languages and makes the process for adding new languages a lot easier.

Fantastic, thank you! :)

Tsevener removed JoeWalsh as the assignee of this task.Sep 1 2020, 8:38 PM
Tsevener added a subscriber: JoeWalsh.
ABorbaWMF added a subscriber: ABorbaWMF.

I was able to add all the languages listed above on 6.7.0 (1750)

JMinor closed this task as Resolved.Sep 24 2020, 8:09 PM
JMinor claimed this task.

Long overdue, but there now. As noted, this has been smoothed so we don't fall so behind on new languages again.